{
  "typescript.tsdk": "./node_modules/typescript/lib",
  "editor.tabSize": 2,
  "editor.formatOnSave": true,
  "prettier.configPath": ".prettierrc.cjs",
  // 默认格式化工具选择prettier
  "editor.defaultFormatter": "esbenp.prettier-vscode",
  "scss.lint.unknownAtRules": "ignore",
  "editor.codeActionsOnSave": {
    "source.fixAll": "never",
    "source.fixAll.eslint": "explicit"
  },
  "editor.quickSuggestions": {
    "strings": "on"
  },
  "tailwindCSS.experimental.classRegex": [
    [
      "cn\\(([^)]*)\\)",
      "[\"'`]([^\"'`]*).*?[\"'`]"
    ]
  ],
  "npm.packageManager": "pnpm",
  "i18n-ally.localesPaths": [
    "src/locales/lang"
  ],
  "i18n-ally.enabledParsers": [
    "json"
  ],
  "i18n-ally.pathMatcher": "{locale}/{namespaces}.{ext}",
  "i18n-ally.keystyle": "flat",
  "i18n-ally.sortKeys": true,
  "i18n-ally.sourceLanguage": "en_US",
  "i18n-ally.displayLanguage": "zh_CN"
}